package org.netkernel.doc.content.examples;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class ToUpperAccessor extends StandardAccessorImpl
  {

  @Override
  public void onSource(INKFRequestContext context) throws Exception
    {
    INKFResponse response;

    String operand = context.source("arg:operand", String.class);
    operand = operand.toUpperCase();
    response = context.createResponseFrom(operand);
    response.setMimeType("text/plain");
    }
  }
